Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.rico.engine.enums
Enum Font

    java.lang.Object
      java.lang.Enum<Font>
          de.rico.engine.enums.Font

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Font>

    public enum Font

extends java.lang.Enum<Font>

This enumeration contains the possible fonts for text rendering

Author:
  Frank Bruns

Enum Constant Summary
`HELVETICA_10`
`HELVETICA_12`
`HELVETICA_18`
`TIMES_ROMAN_10`
`TIMES_ROMAN_24`

Method Summary
`int` | `getGLUTFontConstant()` Returns the OpenGL constant of the font.
`int` | `getHeight()` Returns the pixel height of the font.
`static Font` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Font[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HELVETICA_10

    public static final Font HELVETICA_10

### HELVETICA_12

    public static final Font HELVETICA_12

### HELVETICA_18

    public static final Font HELVETICA_18

### TIMES_ROMAN_10

    public static final Font TIMES_ROMAN_10

### TIMES_ROMAN_24

    public static final Font TIMES_ROMAN_24

Method Detail

### values

    public static final Font[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Font c : Font.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Font valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getGLUTFontConstant

    public int getGLUTFontConstant()

  Returns the OpenGL constant of the font.

  Returns:
    OpenGL constant of the font

### getHeight

    public int getHeight()

  Returns the pixel height of the font.

  Returns:
    pixel height of the font

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD